API ReferenceWorkflows
Manually trigger a workflow
POST
/v1/workflows/{workflowId}/triggerAuthorization
ApiKeyAuth AuthorizationBearer <token>
API key authentication. Keys are prefixed with environment:
npk_live_for productionnpk_test_for testing/staging
In: header
Path Parameters
workflowId*string
Workflow ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
input?object
Input data for the workflow
Response Body
application/json
application/json
application/json
curl -X POST "https://api.npayload.com/v1/workflows/string/trigger" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"workflowId": "string",
"status": "running",
"input": {},
"output": {},
"startedAt": "2019-08-24T14:15:22Z",
"completedAt": "2019-08-24T14:15:22Z",
"steps": [
{
"stepId": "string",
"status": "string",
"result": {},
"error": "string"
}
]
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Was this page helpful?